--下面列出了常用的回调函数
--更多功能请阅读<<物联型LUA脚本API.pdf>>
local sc_server = 0

local recv_clinet_cnt = 0
local cur_client      = 0

--初始化函数
--function on_init()
--end

--定时回调函数，系统每隔1秒钟自动调用。
function on_systick()

end

function my_send_clinet_data(send_data)
	
	local clinet_data = {}
	local send_len = string.len(send_data)
	
	for i = 1, send_len 
	do
		--将每个字符转为16进制发送
		clinet_data[i - 1] = tonumber(string.byte(send_data, i, i))
	end
	
	--向客户端发送数据
	server_send_data(cur_client, clinet_data)
end

--当服务端SOCKET接收到数据时，系统自动回调此函数。
function on_server_recv_data(clinet_id,packet)
	
	cur_client = clinet_id

	local rec = ""
	for i = 0, #(packet) do
		rec = rec..string.char(packet[i])
	end
    
	--累计接收客户端数据的次数
	recv_clinet_cnt = recv_clinet_cnt + 1
	
	set_text(0,1,"recv from  "..clinet_id..": "..rec)
	set_text(0,2,"recv cnt  "..recv_clinet_cnt)
end

--用户通过触摸修改控件后，执行此回调函数。
--点击按钮控件，修改文本控件、修改滑动条都会触发此事件。
function on_control_notify(screen,control,value)
	if screen == sc_server 
	then
		if control == 4 and value == 0
		then
			local send_data = get_text(sc_server, 3)
			my_send_clinet_data(send_data)
		end
	end
end

--当画面切换时，执行此回调函数，screen为目标画面。
--function on_screen_change(screen)
--end


